Bansafe
List ban safe health history
Returns the newest Health evaluations since the requested date, up to the limit, ordered oldest to newest. Each point carries its estimator source and version, evidence coverage, reliability, and availability reason.
Requires sessions:read. Project tokens only access resources in their own project.
GET
/
platform
/
bansafe
/
health
/
{session}
/
history
List ban safe health history
curl --request GET \
--url https://api.polymorfa.com/platform/bansafe/health/{session}/history \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polymorfa.com/platform/bansafe/health/{session}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.polymorfa.com/platform/bansafe/health/{session}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.polymorfa.com/platform/bansafe/health/{session}/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}false{
"data": {
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session": "<string>",
"points": [
{
"health": 50,
"band": "good",
"healthSource": "rules_v1",
"healthEstimatorVersion": "<string>",
"healthModelVersion": "<string>",
"healthEvaluatedAt": "2023-11-07T05:31:56Z",
"healthFeatureCoverage": 0.5,
"healthReliability": "rules_based",
"healthUnavailableReason": "no_active_model",
"healthProbabilities": {
"healthy": 0.5,
"limited": 0.5,
"restricted": 0.5,
"banned": 0.5
},
"mostLikelyHealthState": "healthy",
"healthExplanation": {
"penalties": {
"conduct": 50,
"delivery": 50,
"connection": 50,
"restriction": 50,
"total": 50
},
"factors": [
{
"group": "direct_condition",
"key": "observed_limited",
"penalty": 50,
"observedValue": 123,
"sampleSize": 1
}
],
"measuredGroups": [
"direct_condition"
],
"missingGroups": [
"direct_condition"
]
},
"observedAccountState": {
"state": "healthy",
"observedAt": "2023-11-07T05:31:56Z",
"source": "account_check"
}
}
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}Authorizations
Send your team API key or project token as Authorization: Bearer <token>. The credential must have the required permissions. Project tokens can access only their own project.
Path Parameters
Identifier of the connected Polymorfa session.
Query Parameters
Specifies since for this query parameter.
Value constraints
| Constraint | Accepted input |
|---|---|
| Format | date-time |
Specifies limit for this query parameter.
Value constraints
| Constraint | Accepted input |
|---|---|
| Numeric value | 1 through 720 (inclusive) |
Required range:
1 <= x <= 720Response
Success
Structured data carried by this object.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List ban safe health history
curl --request GET \
--url https://api.polymorfa.com/platform/bansafe/health/{session}/history \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polymorfa.com/platform/bansafe/health/{session}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.polymorfa.com/platform/bansafe/health/{session}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.polymorfa.com/platform/bansafe/health/{session}/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}false{
"data": {
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session": "<string>",
"points": [
{
"health": 50,
"band": "good",
"healthSource": "rules_v1",
"healthEstimatorVersion": "<string>",
"healthModelVersion": "<string>",
"healthEvaluatedAt": "2023-11-07T05:31:56Z",
"healthFeatureCoverage": 0.5,
"healthReliability": "rules_based",
"healthUnavailableReason": "no_active_model",
"healthProbabilities": {
"healthy": 0.5,
"limited": 0.5,
"restricted": 0.5,
"banned": 0.5
},
"mostLikelyHealthState": "healthy",
"healthExplanation": {
"penalties": {
"conduct": 50,
"delivery": 50,
"connection": 50,
"restriction": 50,
"total": 50
},
"factors": [
{
"group": "direct_condition",
"key": "observed_limited",
"penalty": 50,
"observedValue": 123,
"sampleSize": 1
}
],
"measuredGroups": [
"direct_condition"
],
"missingGroups": [
"direct_condition"
]
},
"observedAccountState": {
"state": "healthy",
"observedAt": "2023-11-07T05:31:56Z",
"source": "account_check"
}
}
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}